<?php

namespace aribu\scripts\content_module\php\lib;

/* 
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   24.04.2016
 *  
 */

class php extends \aribu\scripts\content_module\content_module {

     public function __construct($DFE) {
        parent::__construct($DFE);
    }
    
        /**
     * PHP content modul
     * @return string
     */
    public function php() {
                
        require_once FE_MENU;
            
        $this->GetContentData();
        $this->SetDatas();
        $this->SetTimesetTab();
        $this->SetBlockTab();
        $this->SetContentRightsTab();
        $this->ModulRights();
        
                
        # Datas
        $this->DFE->TT->setMC('script_path',    $this->Row['script_path'])
                      ->setMC('script_method',  $this->Row['script_method'])
                      ->setMC('lang',           $GLOBALS['LANGUAGE'])
                      ->setMC('be',             $this->FB == 'be_' ? '/aribu.systems' : '');
        
        return $this->DFE->TT->getFilledTemplate("/aribu.systems/_templates/content_module/php/php.html");
    }    
}