<?php

namespace aribu\scripts\content_module\tab\lib;

/* 
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   25.04.2016
 *  
 */

class tab extends \aribu\scripts\content_module\content_module {

 
    /**
     * Be language array
     * @var array
     */
    public $BeLanguage = array();


    public function __construct($DFE) {
        parent::__construct($DFE);
    }
    
    
    /**
     * Content from page
     * @param int $error
     * @return string
     */
    public function tab() {
                
        require_once FE_MENU;
            
        $this->GetContentData();
        $this->SetDatas();
        $this->SetTimesetTab();
        $this->SetBlockTab();
        $this->SetContentRightsTab();
        $this->ModulRights();
        
        if(is_array($this->ContentData['PageSupplyContent'])) {
            foreach($this->ContentData['PageSupplyContent'] as $key => $val) {
                $page = \lib\Functions::breadcrumb($val);
                $show_pages_option .= '<option value="'.$val.'" selected="selected">'.$page.'</option>';
            }
        }

        # Datas
        $this->DFE->TT->setMC('show_pages_option',  $show_pages_option)
                      ->setMC('language',           $GLOBALS['LANGUAGE'])
                      ->setMC('col_options',        \lib\Functions::getOptions($GLOBALS['CONTENT_POSITION'], $this->ContentData['PageColumn']))
                      ->setMC('headline',           htmlentities($this->Row['headline'], ENT_QUOTES, "UTF-8"))
                      ->setMC('subline',            htmlentities($this->Row['subline'], ENT_QUOTES, "UTF-8"));
        
        return $this->DFE->TT->getFilledTemplate("/aribu.systems/_templates/content_module/tab/tab.html");
    }
    
}