<?php

namespace aribu\scripts\pages;

/* 
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   12.11.2005
 * @update: 20.04.2015 
 */

if(!defined('GPO_ON')) {
    echo "Nice try";
    exit;
}

# Language packages
require_once($_SERVER['DOCUMENT_ROOT'] . "/aribu.systems/scripts/pages/lang/" . $_SESSION['sess_language'] . ".php");

if ($_SESSION['BE_Rights'] == 1 || $_SESSION['sess_rights']['BE_SYSTEM_RIGHTS'][1] == 1) {

    # Method
    $Class          = __NAMESPACE__ . '\\lib\\Pages';
    $ClassMethod    = $http->issetPost('ac') === true ? $http->_post('ac') : $GLOBALS['PHPMethod'][0];
    
    # Parameter festlegen
    if(isset($class_parameter)) {
        $class_parameter_ex = explode(",", $class_parameter);
        if(is_array($class_parameter_ex)) {
            foreach($class_parameter_ex as $key => $val) {
                # e. g. $val => [template = /aribu.systems/_templates/crm/addresses.html]
                $parameters = explode(" = ", trim($val));
                $parameter_name     = trim($parameters[0]);
                if($parameter_name != 'template') {
                    if($parameter_name == 'method') {
                        if($http->issetPost('ac') === false) {
                            $ClassMethod    = trim($parameters[1]);
                        }
                        $Class          = __NAMESPACE__ . '\\lib\\'.$GLOBALS['PHPMethod'][0];
                    } else {
                        $BEContentObjArray[$parameter_name] = trim($parameters[1]);
                    }
                } else {
                    $template_path  = trim($parameters[1]);
                }
            }
        }
    }

        
    $BEContentObj = new $Class($DFE);
    
    if(is_array($BEContentObjArray)) {
        foreach($BEContentObjArray as $key => $val) {
            $BEContentObj->{$key} = $val;
        }
    }
    $BEContentObj->SetFB();
    $BEContentObj->setTemplateLanguage($be_language);
    $BEContentObj->PrepareLanguage($be_language);
    
    if (method_exists($BEContentObj, $ClassMethod)) {
        $BECObj = $BEContentObj->$ClassMethod();
    } else {
        $BECObj = "Die Seite befindet sich noch im Aufbau!";
    }
    $db->TablePreName = 'be_';
} else {
    $BESubMenuObj = "<div style=\"height:22px;\">&nbsp;</div>";
    $BECObj = "<div style=\"margin:20px;\"><h1>Hinweis:</h1><br />Sie haben keine ausreichende Rechte die Seite zu verwalten!</div>";
}

echo $BECObj;