<?php

/* 
 * aribu system - Version 7.0.0
 *  
 * Copyright (C) 2018  Sascha Momcilovic
 *  
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 
 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   http://aribu.systems
 * @date:   10.08.2009
 *  
 */
setlocale(LC_ALL, 'de_DE@euro', 'de_DE', 'de', 'ge');

# New user
$be_language['_tab_user_data'] = "Benutzer-Daten";
$be_language['_tab_image'] = "Bild";
$be_language['_legend_user_data'] = "<strong>Benutzer</strong>-Daten";
$be_language['_form_user_name'] = "Benutzer Name";
$be_language['_form_e_mail'] = "Benutzer E-Mail";
$be_language['_form_status'] = "Benutzer Status";
$be_language['_form_username'] = "Login Name";
$be_language['_form_password'] = "Login Passwort";
$be_language['_form_password_repeat'] = "Login Passwort<br>wiederholen";
$be_language['_form_author_acronym'] = "Redakteur<br><small>kurz</small>";
$be_language['_form_language'] = "Sprache";
$be_language['_form_url'] = "Redirekt URL";
$be_language['_form_user_groups'] = "Benutzer Gruppen";
$be_language['_form_be_user_rights'] = "BE-Benutzer Type<br><small>(Rechte)</small>";
$be_language['_form_fe_user_rights'] = "FE-Benutzer Type<br><small>(Rechte)</small>";
$be_language['_form_jump_url_after_login'] = "Redirect<br><small>(Ziel nach Login)</small>";
$be_language['_head_add'] = "anlegen";
$be_language['_head_edit'] = "bearbeiten";
$be_language['_please_select'] = "Bitte wählen...";
$be_language['_please_select_optional'] = "Bitte wählen (optional)...";
$be_language['_h1_users'] = 'Benutzer';
$be_language['_button_add_new_user'] = 'Neuen Benutzer anlegen';

# Group overview
$be_language['_h1_group_overview'] = 'Gruppen Übersicht';
$be_language['_legend_counts'] = 'Anzahl:';
$be_language['_th_number'] = 'Nr.';
$be_language['_th_group'] = 'Gruppe';
$be_language['_th_author'] = 'Autor';
$be_language['_th_actions'] = 'Aktionen';
$be_language['_button_add_new_group'] = 'Neue Gruppe anlegen';

# New group
$be_language['_tab_group_data'] = "Gruppen-Daten";
$be_language['_h1_groups'] = 'Gruppen';
$be_language['_legend_group_data'] = '<strong>Gruppen</strong>-Daten';
$be_language['_form_group_name'] = "Gruppen Name";
$be_language['_form_group_status'] = "Gruppen Status";

# Button
$be_language['_back'] = "Zur&uuml;ck";
$be_language['_save'] = "Speichern";

# User Rights
$be_language['_rights_setup_user'] = "Sie haben keine Berechtigung Benutzer ";
$be_language['_rights_lock_user'] = "Sie haben keine Berechtigung Benutzer zu sperren.";
$be_language['_rights_unlock_user'] = "Sie haben keine Berechtigung Benutzer freizuschalten.";
$be_language['_rights_del_user'] = "Sie haben keine Berechtigung Benutzer zu löschen.";
$be_language['_rights_edit_user'] = "Sie haben keine Berechtigung Benutzer zu bearbeiten.";
$be_language['_rights_be_user'] = "Sie haben keine Berechtigung Backend Rechte zu vergeben.";
$be_language['_user_role'] = 'Benutzer Rolle';

# Group Rights
$be_language['_rights_setup_group'] = "Sie haben keine Berechtigung Gruppen ";
$be_language['_rights_lock_group'] = "Sie haben keine Berechtigung Gruppen zu sperren.";
$be_language['_rights_unlock_group'] = "Sie haben keine Berechtigung Gruppen freizuschalten.";
$be_language['_rights_del_group'] = "Sie haben keine Berechtigung Gruppen zu löschen.";

# Others
$be_language['_edit'] = "zu bearbeiten";
$be_language['_add'] = "anzulegen";
$be_language['_user_rights'] = "Benutzerrechte";
$be_language['_lock_user'] = "Benutzer sperren";
$be_language['_unlock_user'] = "Benutzer freischalten";
$be_language['_del_user'] = "Benutzer löschen";
$be_language['_edit_user'] = "Benutzer bearbeiten";
$be_language['_lock_group'] = "Gruppe sperren";
$be_language['_unlock_group'] = "Gruppe freischalten";
$be_language['_del_group'] = "Gruppe löschen";
$be_language['_edit_group'] = "Gruppe bearbeiten";

# Errors
$be_language['_error_group_name'] = "Der Gruppenname wird schon verwendet!";
$be_language['_error_group_name2'] = "Bitte den Gruppenname ausfüllen!";
$be_language['_error_user_pw'] = "Passwörter stimmen nicht überein!";
$be_language['_error_username'] = "Der Username wird schon verwendet!";
$be_language['_error_username2'] = "Username bitte ausfüllen!";
$be_language['_error_user_pw2'] = "Passwörter bitte ausfüllen!";

$be_language['_save_user_ok'] = "Die Daten wurden erfolgreich abgespeichert.";
