<?php

/*
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 *
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   01.06.2018
 */

$be_language['_legend_database_config'] = "<strong>Datenbank</strong>-Einstellungen";
$be_language['_database_name'] = "Datenbank";
$be_language['_database_host'] = "Datenbank-Host";
$be_language['_database_port'] = "Datenbank-Port";
$be_language['_database_username'] = "Datenbank Username";
$be_language['_database_password'] = "Datenbank Passwort";
$be_language['_continue'] = "Weiter";
$be_language['_close'] = "Schließen";
$be_language['_check_database_connection'] = "Überprüfe gerade die Datenbank Verbindung. Bitte warten...";
$be_language['_database_connection_success'] = "Konnte mich erfolgreich mit der Datenbank verbinden.";
$be_language['_database_connection_error'] = "Datenbank Verbindung konnte nicht hergestellt werden. Bitte überprüfen Sie die Eingaben.";
$be_language['_database_check'] = "Datenbank Verbindungscheck";

$be_language['_legend_api_config'] = "<strong>API</strong>-Einstellungen";
$be_language['_api_key'] = "API-Key";
$be_language['_api_password'] = "API-Passwort <br><small>(mindestens 8 Zeichen)</small>";

$be_language['_tab_user_data'] = "Benutzer-Daten";
$be_language['_tab_image'] = "Bild";
$be_language['_legend_user_config'] = "<strong>Admin-Benutzer</strong>-Daten";
$be_language['_form_user_name'] = "Benutzer Name";
$be_language['_form_e_mail'] = "Benutzer E-Mail";
$be_language['_form_status'] = "Benutzer Status";
$be_language['_form_username'] = "Login Name";
$be_language['_form_password'] = "Login Passwort";
$be_language['_form_password_repeat'] = "Login Passwort<br>wiederholen";
$be_language['_form_author_acronym'] = "Redakteur<br><small>kurz</small>";
$be_language['_form_language'] = "Sprache";
$be_language['_form_url'] = "Redirekt URL";
$be_language['_form_user_groups'] = "Benutzer Gruppen";
$be_language['_form_be_user_rights'] = "BE-Benutzer Type<br><small>(Rechte)</small>";
$be_language['_form_fe_user_rights'] = "FE-Benutzer Type<br><small>(Rechte)</small>";
$be_language['_form_jump_url_after_login'] = "Redirect<br><small>(Ziel nach Login)</small>";
$be_language['_head_add'] = "anlegen";
$be_language['_head_edit'] = "bearbeiten";
$be_language['_please_select'] = "Bitte wählen...";
$be_language['_please_select_optional'] = "Bitte wählen (optional)...";
$be_language['_h1_users'] = 'Benutzer';
$be_language['_button_add_new_user'] = 'Neuen Benutzer anlegen';

$be_language['_error_username_empty'] = "Der Username ist nicht ausgefüllt.<br>";
$be_language['_error_password1_empty'] = "Das Passwort ist nicht ausgefüllt.<br>";
$be_language['_error_password2_empty'] = "Das zweite Passwort ist nicht ausgefüllt.<br>";
$be_language['_error_passwords_not_matches'] = "Die beiden Passwörter stimmen nicht überein.<br>";

$be_language['_error_database_name_empty'] = "Sie haben keine Datenbank eingetragen. Bitte füllen Sie dieses Feld aus.<br>";
$be_language['_error_database_user_empty'] = "Sie haben keine Datenbank Usernamen eingetragen. Bitte füllen Sie dieses Feld aus.<br>";
$be_language['_error_database_password_empty'] = "Sie haben keine Datenbank Passwort eingetragen. Bitte füllen Sie dieses Feld aus.<br>";
$be_language['_error_database_config'] = '<h2><i class="fa fa-exclamation-triangle text-danger" aria-hidden="true"></i> <small>Da hat etwas nicht gestimmt!</small></h2>';

$be_language['_modal_title_database_error'] = "Datenbank-Einstellungen";
$be_language['_modal_title_api_error'] = "API-Einstellungen";
$be_language['_modal_title_user_error'] = 'Admin-User Einstellungen';

$be_language['_error_api_password_length'] = '<h2><i class="fa fa-exclamation-triangle text-danger" aria-hidden="true"></i> <small>Das API-Passwort ist kleiner 8 Zeichen. Es sollte mindestens 8 Zeichen enthalten.</small></h2>';
$be_language['_error_user'] = '<h2><i class="fa fa-exclamation-triangle text-danger" aria-hidden="true"></i> <small>Da hat etwas nicht gestimmt!</small></h2>';

$be_language['_install'] = "System fertigstellen";
$be_language['_successfull_installation'] = '<h1>Installation abgeschlossen!</h1><h2><i class="fa fa-check-circle success" aria-hidden="true"></i> <small>aribu systems wurde erfolgreich auf Ihrem Server/Hosting installiert! Wir wünschen Ihnen viel Spaß und Erfolg mit dem System.</small></h2>';

# Clients
$be_language['_client'] = "Mandant";
$be_language['_nr'] = "Nr.";
$be_language['_url_protocol'] = "URL Protokol";
$be_language['_sc_delete_client'] = "Möchten Sie den Mandanten wirklich löschen?";
$be_language['_add_new_client'] = "Neuen Mandanten anlegen";
$be_language['_actions'] = "Aktionen";
$be_language['_h1_clients'] = "Mandanten Übersicht";
$be_language['_set_client_offline'] = "Mandant offline stellen";
$be_language['_set_client_online'] = "Mandant online stellen";
$be_language['_edit_client'] = "Mandant bearbeiten";
$be_language['_h1_add_new_client'] = "Neuen Mandanten anlegen";
$be_language['_h1_edit_client'] = "Mandant bearbeiten";
$be_language['_tab_client'] = "Mandant";
$be_language['_legend_client_config'] = "<strong>Mandanten</strong>-Daten";
$be_language['_client'] = "Mandant";
$be_language['_e_mail_address'] = "E-Mail-Adresse";
$be_language['_e_mail_name'] = "E-Mail-Name";
$be_language['_browser_title'] = "Browsertitel";
$be_language['_be_client_name'] = "BE-Mandanten Name";
$be_language['_status'] = "Status";

$be_language['_button_admin_panel'] = "Zum Adminbereich";
$be_language['_please_fill_mandatory_field'] = "<sup>*</sup> Bitte Pflichtfelder ausfüllen.";

$be_language['_do_system_installation'] = 'Installation gestartet. Importiere Datenbank. Bitte warten...';
$be_language['_installation'] = "Installation";
$be_language['_installation_successfull'] = "Installation erfolgreich abgeschlossen!";