<?php

namespace lib\exception;

/*
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 *
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   29.11.2013
 * @update: 30.11.2015
 */

class MySQLException extends \Exception {

    public function __construct($message, $code = 0) {
        parent::__construct($message, $code);
    }

    public function showExceptionInfo() {
        return 'MySQL - Fehler: <br />Nachricht: ' . $this->getMessage() . '<br />Datei: ' . $this->getFile() . '<br />Zeile: ' . $this->getLine();
    }

}
