<?php

/* 
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   22.04.2015 
 * 
 */
header("Content-Type: text/html; charset=utf-8");


$class      = str_replace("/", "\\", $http->_post('class'));
$classname  = str_replace("dot.orange", "aribu", $class);

if(class_exists($classname)) {
    $BEContentObj = new $classname($DFE);
    
    # Language
    if(method_exists($BEContentObj, 'setTemplateLanguage')) {
        $BEContentObj->setTemplateLanguage($be_language);   
    }
    
    if(method_exists($BEContentObj, 'PrepareLanguage')) {
        $BEContentObj->PrepareLanguage($be_language);   
    }

    if (method_exists($BEContentObj, $http->_post('method'))) {
        $BEAjaxCObj = $BEContentObj->{$http->_post('method')}();
    } else {
        $BEAjaxCObj = $http->_post('method').' Methode existiert in der Klasse: '.$classname.' nicht!';
    }

    echo $BEAjaxCObj;
} else {
    echo "Have no class with this name!";
}
