<?php

/*
 * aribu systems - Version 7.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 *
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   14.04.2011
 * @update: 25.04.2018
 * 
 */

/*
 * System-Varibalen
 *
 */

$db->TablePreName = 'fe_';
$db->Select('*, SOUNDEX( config_key ) AS mykey')
   ->From('system_config')
   ->WhereColName('config_lang')
   ->WhereColValue($GLOBALS['LANGUAGE'])
   ->Andd("AND config_hidden != 1 AND client_id = :client_id")
   ->Order('ORDER BY config_title ASC, mykey ASC')
   ->SelectMethod(1)
   ->Parameter(array('client_id' => $GLOBALS['CLIENT_ID']))
   ->doSelect();
$num = $db->Rows;
if ($num) {
    foreach ($db->SelectPuffer as $key => $row) {
        $GLOBALS[$row['config_title']][$row['config_key']] = $row['config_value'];
    }
}