<?php

namespace aribu\scripts\content;

/* 
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   12.11.2005
 * @update: 21.04.2018 
 * 
 */

if(!defined('GPO_ON')) {
    echo "Nice try";
    exit;
}

# Language packages
require_once($_SERVER['DOCUMENT_ROOT'] . "/aribu.systems/scripts/content/lang/" . $_SESSION['sess_language'] . ".php");

# Method
$ClassMethod = $http->issetPost('ac') === true ? $http->_post('ac') : $GLOBALS['PHPMethod'][0];

# Parameter festlegen
if(isset($class_parameter)) {
    $class_parameter_ex = explode(",", $class_parameter);
    if(is_array($class_parameter_ex)) {
        foreach($class_parameter_ex as $key => $val) {
            # e. g. $val => [template = /aribu.systems/_templates/crm/addresses.html]
            $parameters = explode(" = ", trim($val));
            $parameter_name     = trim($parameters[0]);
            if($parameter_name != 'template') {
                if($parameter_name == 'method') {
                    if($http->issetPost('ac') === false) {
                        $ClassMethod    = trim($parameters[1]);
                    }
                    $Class          = __NAMESPACE__ . '\\lib\\'.$GLOBALS['PHPMethod'][0];
                } else {
                    $BEContentObjArray[$parameter_name] = trim($parameters[1]);
                }
            } else {
                $template_path  = trim($parameters[1]);
            }
        }
    }
}

$BEContentObj = new lib\Content($DFE);
if(is_array($BEContentObjArray)) {
    foreach($BEContentObjArray as $key => $val) {
        $BEContentObj->{$key} = $val;
    }
}


if (method_exists($BEContentObj, $ClassMethod)) {
    $BEContentObj->SetFB();
    $BEContentObj->setTemplateLanguage($be_language);
    $BEContentObj->PrepareLanguage($be_language);
    $BECObj = $BEContentObj->$ClassMethod();
} else {
    if (file_exists($_SERVER['DOCUMENT_ROOT'] . "/aribu.systems/scripts/content_module/" . strtolower($ClassMethod) . "/lib/class." . strtolower($ClassMethod) . ".php")) {
        if(file_exists($_SERVER['DOCUMENT_ROOT'] . "/aribu.systems/scripts/content_module/" . strtolower($ClassMethod) . "/lang/" . $_SESSION['sess_language'] . ".php")) {
            require_once($_SERVER['DOCUMENT_ROOT'] . "/aribu.systems/scripts/content_module/" . strtolower($ClassMethod) . "/lang/" . $_SESSION['sess_language'] . ".php");
        }
                
        $class = '\\aribu\\scripts\\content_module\\'.strtolower($ClassMethod).'\\lib\\'.strtolower($ClassMethod);
        $method = strtolower($ClassMethod);
        $BEContentModuleObj = new $class($DFE);
        
        if(is_array($BEContentObjArray)) {
            foreach($BEContentObjArray as $key => $val) {
                $BEContentModuleObj->{$key} = $val;
            }
        }
        
        $BEContentModuleObj->SetFB();
        $BEContentModuleObj->setTemplateLanguage($be_language);
        $BEContentModuleObj->PrepareLanguage($be_language);
        
        if (method_exists($BEContentModuleObj, $method)) {
            $BECObj = $BEContentModuleObj->$method();
        } else {
           $BECObj = "Die Seite befindet sich noch im Aufbau! Methode: ".$class." existiert nicht!"; 
        }
        
    } else {
        $BECObj = "Die Seite befindet sich noch im Aufbau! Methode: ".$ClassMethod." existiert nicht! Datei: ".$_SERVER['DOCUMENT_ROOT'] . "/aribu.systems/scripts/content_module/" . strtolower($ClassMethod) . "/lib/class." . strtolower($ClassMethod) . ".php nicht gefunden.";
    }
}
echo $BECObj;