<?php

namespace aribu\scripts\content_module\html\lib;

/* 
 * aribu.systems 6.0
 * aribu.systems is registered and licensed under our definitions.

 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   04.04.2016
 *  
 */


class HTML extends \aribu\scripts\content_module\content_module {

 
    /**
     * Be language array
     * @var array
     */
    public $BeLanguage = array();


    public function __construct($DFE) {
        parent::__construct($DFE);
    }
    
    
    /**
     * HTML content modul
     * @param int $error
     * @return string
     */
    public function HTML() {
                
        require_once FE_MENU;
            
        $this->GetContentData();
        $this->SetDatas();
        $this->SetTimesetTab();
        $this->SetBlockTab();
        $this->SetContentRightsTab();
        $this->ModulRights();
        
        # WYSIWYG Editor
        $WGE = new \aribu\scripts\editor\lib\WYSIWYG($this->DFE);
        $WGE->Language              = $GLOBALS['LANGUAGE'];
        $WGE->Session               = $_SESSION['sess_id'];
        $WGE->Editor_Name           = "bodytext";
        $WGE->Editor_Function_Name  = "ContentEditor";
        $WGE->AutoStart             = false;
        
        $this->DFE->TT->setMC('editor_full_js',         $WGE->getEditor("/aribu.systems/_templates/editor/tiny_wysiwyg_full_js.html"))
                      ->setMC('content',                htmlentities(stripslashes($this->Row['bodytext']), ENT_QUOTES, 'UTF-8'))
                      ->setMC('headline',               htmlentities($this->Row['headline'], ENT_QUOTES, "UTF-8"))
                      ->setMC('subline',                htmlentities($this->Row['subline'], ENT_QUOTES, "UTF-8"))
                      ->setMC('fb',                     $this->FB == 'be_' ? '&FB=be_' : '');

                
        return $this->DFE->TT->getFilledTemplate("/aribu.systems/_templates/content_module/html/html.html");
    }
    
}