<?php

namespace aribu\scripts\content_module\line\lib;

/* 
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 * 
 * @author:  Sascha Momcilovic
 * @e-Mail:  info@it-orange.de
 * @link:    http://www.it-orange.de
 * @date:    04.11.2013 
 * @update:  08.04.2015
 */


class line extends \aribu\scripts\content_module\content_module {

    
    public function __construct($DFE) {
        parent::__construct($DFE);
    }

    /**
     * Line
     * @return string
     */
    public function line() {
        
        require_once FE_MENU;

        $this->GetContentData();
        $this->SetDatas();
        $this->SetTimesetTab();
        $this->SetBlockTab();
        $this->SetContentRightsTab();
        $this->ModulRights();

                
        $line_style_options = '<option style="height:22px;"></option>';
        foreach ($GLOBALS['CONTENT_MOD_BORDERFORM'] as $key => $val) {
            $selected = $this->ContentData['line_style'] == $key ? " selected" : "";
            $line_style_options .= '<option value="' . $key . '"' . $selected . ' style="background: url(/aribu.systems/fileadmin/img/icons/content/borderform/' . $key . '.gif) no-repeat 4px 4px; height:26px; padding-left:68px; padding-top:8px">' . $val . '</option>';
        }
                
        $this->DFE->TT->setMC('line_style_options',     $line_style_options)
                      ->setMC('line_css',               $this->ContentData['line_css'])
                      ->setMC('line_width',             $this->ContentData['line_width'])
                      ->setMC('line_color',             $this->ContentData['line_color']);
                      
      
        return $this->DFE->TT->getFilledTemplate('/aribu.systems/_templates/content_module/line/line.html', 1);
            
    }

}