<?php

namespace aribu\scripts\system;

/* 
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   13.04.2011
 * @update: 07.06.2016 
 */

if(!defined('GPO_ON')) {
    echo "Nice try";
    exit;
}

# Language packages
require_once($_SERVER['DOCUMENT_ROOT'] . "/aribu.systems/scripts/system/lang/" . $_SESSION['sess_language'] . ".php");

# Config starts
if ($_SESSION['BE_Rights'] == 1) {

    # Method
    $Class          = __NAMESPACE__ . '\\lib\System_Config';
    $ClassMethod    = $http->issetPost('ac') === true ? $http->_post('ac') : $GLOBALS['PHPMethod'][0];

    # BE-Dot-Content
    $db->TablePreName = 'fe_';
    $BEContentObj = new $Class($DFE);
    $BEContentObj->setTemplateLanguage($be_language);
    $BEContentObj->PrepareLanguage($be_language);
        
    if (method_exists($BEContentObj, $ClassMethod)) {
        $BECObj = $BEContentObj->$ClassMethod();     
    } else {
        $BECObj = "Die Seite befindet sich noch im Aufbau!";
    }
    $db->TablePreName = 'be_';
} else {
    $BECObj = "<div style=\"margin:20px;\"><h1>Hinweis:</h1><br />Sie haben keine ausreichende Rechte die Seite zu verwalten!</div>";
}

echo $BECObj;