<?php

/*
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   10.08.2009
 * @update: 03.05.2018
 */

setlocale(LC_ALL, 'de_DE@euro', 'de_DE', 'de', 'ge');

# Variablen
$be_language['_variablen'] = "Variablen Verwaltung";
$be_language['_config_title'] = "Variablen Name";
$be_language['_config_key'] = "Schl&uuml;ssel";
$be_language['_config_value'] = "Wert";
$be_language['_config_description'] = "Beschreibung";
$be_language['_config_lang'] = "Sprache";
$be_language['_system_config'] = "System-Konfiguration";
$be_language['_active'] = "aktiv";
$be_language['_inactive'] = "inaktiv";
$be_language['_language'] = "Sprache";
$be_language['_copy_system_config_to_language'] = 'Konfiguration für eine andere Sprachen anlegen.';
$be_language['_del_system_config'] = 'Konfiguration löschen';
$be_language['_tab_variables'] = "Variablen";
$be_language['_legend_variables'] = "<strong>Variablen</strong>-Daten";
$be_language['_h2_variables_overview'] = "Variablen Übersicht";
$be_language['_sc_download_variable'] = "Möchten Sie diese Variablen wirklich exportieren?";
$be_language['_sc_delete_variables'] = "Möchten Sie die ausgewählten Variablen wirklich löschen?";

# Buttons
$be_language['_back'] = "Zur&uuml;ck";
$be_language['_save'] = "Speichern";
$be_language['_del'] = "L&ouml;schen";

# Actions
$be_language['_save_ok'] = "Die Variable wurden erfolgreich abgespeichert.";

# Language
$be_language['_languages'] = "Sprachen";

# Copy system config
$be_language['_h1_copy_system_config'] = 'System Konfiguration kopieren';
$be_language['_tab_variables'] = 'Varibalen';
$be_language['_h1_delete_system_config'] = 'System Konfiguration löschen';

# Clients
$be_language['_client'] = "Mandant";
$be_language['_nr'] = "Nr.";
$be_language['_url_protocol'] = "URL Protokol";
$be_language['_sc_delete_client'] = "Möchten Sie den Mandanten wirklich löschen?";
$be_language['_add_new_client'] = "Neuen Mandanten anlegen";
$be_language['_actions'] = "Aktionen";
$be_language['_h1_clients'] = "Mandanten Übersicht";
$be_language['_set_client_offline'] = "Mandant offline stellen";
$be_language['_set_client_online'] = "Mandant online stellen";
$be_language['_edit_client'] = "Mandant bearbeiten";
$be_language['_h1_add_new_client'] = "Neuen Mandanten anlegen";
$be_language['_h1_edit_client'] = "Mandant bearbeiten";
$be_language['_tab_client'] = "Mandant";
$be_language['_legend_client'] = "<strong>Mandanten</strong>-Daten";
$be_language['_client'] = "Mandant";
$be_language['_e_mail_address'] = "E-Mail-Adresse";
$be_language['_e_mail_name'] = "E-Mail-Name";
$be_language['_browser_title'] = "Browsertitel";
$be_language['_be_client_name'] = "BE-Mandanten Name";
$be_language['_status'] = "Status";

# Rights
$be_language['_rights_set_status_client'] = "Sie haben keine Berechtigung Mandanten off-/online zu setzen.";
$be_language['_rights_delete_client'] = "Sie haben keine Berechtigung Mandanten zu löschen.";
$be_language['_rights_edit_client'] = "Sie haben keine Berechtigung Mandanten zu bearbeiten.";

# Errors
$be_language['_error_delete_config'] = "Die System-Konfiguration wurde bereits in dieser Sprache gelöscht. Bitte wählen Sie eine andere Sprache aus.";