<?php

/* 
 * aribus systems - Version 7.0.0
 * 
 * Copyright (C) 2018  Sascha Momcilovic
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 3 of the License, or (at your option) 
 * any later version. This program is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty  of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, see <http://www.gnu.org/licenses/>. 
 * 

 * 
 * @author: Sascha Momcilovic
 * @e-Mail: info@aribu.systems
 * @link:   https://aribu.systems
 * @date:   12.05.2011
 * @update: 29.04.2015 
 */

if (preg_match('#\(#ism', $sc_method, $hit)) {
    $ClassMethod_arr = explode("(", $sc_method);
    $ClassMethod = $ClassMethod_arr[0];
    $vars = str_replace(")", "", $ClassMethod_arr[1]);
} else {
    $ClassMethod = $sc_method;
}

# BE-Dot-Content
$db->TablePreName = 'fe_';
$FEContentObj = new \elements\element_builder\lib\element($DFE);
if (method_exists($FEContentObj, $ClassMethod)) {
    $FECObj = $FEContentObj->$ClassMethod($vars);
} else {
    $FECObj = "The element you will integrate is not available! Element: " . $ClassMethod ;
}
$GLOBALS['ELEMENT_TAG'][$sc_marker] = $FECObj;