<?php

namespace lib;

/*
  This file is a Library Class globals.

  This file is a part of the dot.orange CMS 2005.
  copyrights by it.orange (c).

  Author: Sascha Momcilovic
  E-Mail: info@it-orange.de
  www: http://www.it-orange.de
  Date: 05.01.2015
 */

class Glob {

    public $get = array();
    public $post = array();
    public $requri = "?";

    public function __construct() {
        $this->setGGet();
        $this->setRequestURIfromGet();
    }

    public function setGet($name = '', $val = '') {
        $this->get[$name] = $val;
        $this->setRequestURIfromGet();
    }

    public function setGGet() {
        if (isset($_GET)) {
            foreach ($_GET as $key => $val) {
                $this->get[$key] = $val;
            }
        }
    }

    public function unsetGGet($name = '') {
        unset($this->get[$name]);
        $this->setRequestURIfromGet();
    }

    public function setGPostfromGGet() {
        if (isset($_GET)) {
            foreach ($_GET as $key => $val) {
                $_POST[$key] = $val;
            }
        }
    }

    public function setPost($name = '', $val = '') {
        $this->post[$name] = $val;
    }

    public function setGPost($name = '', $val = '') {
        $_POST[$name] = $val;
    }

    public function setRequestURI($name = '', $val = '') {
        $this->requri .= '&' . $name . '=' . $val;
    }

    public function setRequestURIfromGGet() {
        if (isset($_GET)) {
            foreach ($_GET as $key => $val) {
                $this->requri .= '&' . $key . '=' . $val;
            }
        }
    }

    public function setRequestURIfromGet() {
        $this->requri = "?";
        foreach ($this->get as $key => $val) {
            $this->requri .= '&' . $key . '=' . $val;
        }
    }

    public function getRequestURI() {
        return $this->requri;
    }

    public function Debug() {
        echo "<pre>";
        print_r($this);
        echo "<pre>";
    }

    // End class
}

Registry::setObj('glob', new Glob);
