<?PHP
////////////////////////////////////////////
//
//  Bilder Klasse by it.orange 
//  Author: Sascha Momcilovic
//  Kontakt: info@it-orange.de
//
//  Erweiterung: Gerrit Hoyer
//  Datum: 15.07.2005
///////////////////////////////////////////

class ImageResize
{
	// variables

	var $filename;	# Dateiname vollstndig
	var $image_ordner;			// directory of the image
	var $image_ext;				// image ext
	var $width;
	var $height;
	var $max_width;
	var $max_height;
	var	$new_image;
	var $dir;
	
	function ImageResize($filename = '')
	{
		if ($filename) 
		{
			$this->filename = $filename;
			$this->loadImage($this->filename);
		}
	}

	function loadImage($filename)
	{
		$this->filename = $filename;
		if ($arr = getimagesize ($this->filename)) 
		{
			$this->max_width = $this->width = $arr[0];
			$this->max_height = $this->height = $arr[1];
			$this->image_ext = $arr[2];
		}
		else
		{
			echo "Datei existiert nicht!";
		}
	}
/*
	Gibt verndertes Bild aus
*/
function image_create($image_file)
	{
		$width_old = $this->width;
		$height_old = $this->height;
		$old_image = $this->filename;

		$image_name_string = explode(".", $image_file);
		$image_name = $image_name_string[0];

		$width_new = $this->max_width;
	 	$height_new = $this->max_height;
		$this->resize_img($width_new, $height_new);

		if( $this->image_ext == 1 )
		{
			$extension = "gif";
			$old_picture  = ImageCreateFromGIF($old_image);
			$new_picture = imagecreatetruecolor($width_new, $height_new);
        	imagecopyresampled($new_picture, $old_picture, 0, 0, 0, 0, $width_new, $height_new, $width_old, $height_old);
        	header('Content-type: image/gif');
			ImageGIF($new_picture);	
			#ImageGIF($new_picture, $this->thumb_ordner.$image_name.".".$extension);

       		#$this->destroy_image($old_picture, $new_picture);
		}

		if( $this->image_ext == 2 )
		{
			$extension = "jpg";
			$old_picture  = ImageCreateFromJPEG($old_image);
			$new_picture = imagecreatetruecolor($width_new, $height_new);
        	imagecopyresampled($new_picture, $old_picture, 0, 0, 0, 0, $width_new, $height_new, $width_old, $height_old);
        	header('Content-type: image/jpeg');	
			ImageJPEG($new_picture);
			#ImageJPEG($new_picture, $this->thumb_ordner.$image_name.".".$extension);

            #$this->destroy_image($old_picture, $new_picture);

		}

		if( $this->image_ext == 3 )
		{
			$extension = "png";
			$old_picture  = ImageCreateFromPNG($old_image);
			$new_picture = imagecreatetruecolor($width_new, $height_new);
        	imagecopyresampled($new_picture, $old_picture, 0, 0, 0, 0, $width_new, $height_new, $width_old, $height_old);
        	header('Content-type: image/png');
			ImagePNG($new_picture);	
			#ImagePNG($new_picture, $this->thumb_ordner.$image_name.".".$extension);

        	#$this->destroy_image($old_picture, $new_picture);


		}
	}
	
	/* 
	 	gewnschte Bildgre ermitteln 
		Eingabe : $new_width - Maximale Bildbreite
				  $new_height - Maximale Bildhhe
		Ausgabe : $new_width - neue Bildbreite
				  $new_height - neue Bildhhe
	*/
	function resize_img(&$new_width, &$new_height) 
	{
		$max_height = $new_height;
		$max_width = $new_width;

		$width = $this->width;
		$height = $this->height;

		# Breite anpassen
		if ($width > $max_width) 
		{
			$newwidth = $max_width;
			$prozent = $newwidth / $width; # %
			$newheight = floor($height * $prozent);
			$width = (int)$newwidth;
			$height = (int)$newheight;
		}
		# Hhe anpassen
		if ($height > $max_height) 
		{
			$newheight = $max_height;
			$prozent = $newheight / $height; # %
			$newwidth = floor($width * $prozent);
			$width = (int)$newwidth;
			$height = (int)$newheight;
		}
		$new_width = $width;
		$new_height = $height;
	}
}
// Ende Klasse
?>
