<?
/**
	RSS-Parser
*/
class RssParser
{
	var $parser;
	var $url;
	var $data;
	var $tags;
	var $current_tag;
	var $cdata;
	var $cache_file = "";
	var $cache_timeout = 0;
	var $itemTitle = "item";
	var $attributesArray;
	var $OpenAttribute = "USER_ID";
	
	# geparste Items
	var $item_count = 0;
	var $items;
	
	function RssParser()
	{
		$this->tags[$this->itemTitle] = 0;
    }

	function setUrl($url)
	{
		$this->url = $url;
	}
	
	function setCache($cache_file,$cache_timeout)
	{
		$this->cache_file = DOCROOT.'/tmp/'.$cache_file;
		$this->cache_timeout = $cache_timeout;
	}
	
    function parse($url='') 
    {
		if ($url!='') $this->setUrl($url);
		if (!$this->data) $this->readData();
		$this->parser = xml_parser_create();
        xml_set_object($this->parser, $this);
        xml_set_element_handler($this->parser, "tag_open", "tag_close");
        xml_set_character_data_handler($this->parser, "cdata");
        xml_parse($this->parser, $this->data);
		xml_parser_free($this->parser);
    }

    function tag_open($parser, $tag, $attributes) 
    {
		
		if ( $tag == $this->itemTitle) 
		{
			$this->tags[$this->itemTitle] = 1;
			$this->item_count++; 
			$this->attributesArray = $attributes; 
			#$this->attributesArray = $attributes[$this->OpenAttribute];
			/*echo "<pre>";
			print_r($attributes);
			echo "</pre>";*/
		}
		$this->current_tag = strtolower($tag);
        #print_r($attributes);
		#echo $tag."<br>";
		#echo "$tag == $this->itemTitle <br>";
		#var_dump($parser, $tag, $attributes); 
    }

    function cdata($parser, $cdata) 
    {
		if ($this->tags[$this->itemTitle] == 1) 
		{ 
			if($this->current_tag != strtolower($this->itemTitle)) {
				$this->items[$this->item_count][$this->current_tag] .= utf8_decode(trim(str_replace("\\'","'",$cdata)));
			} else {
				if(is_array($this->attributesArray)) {
					foreach($this->attributesArray as $key => $val) {
						$this->items[$this->item_count][strtolower($key)] .= $val;
					}
				}
			}
			
		}
		#var_dump($parser, $cdata);
    }

    function tag_close($parser, $tag) 
    {
		if ( $tag == $this->itemTitle) 
		{
			$this->tags[$this->itemTitle] = 0; 
		}
		#var_dump($parser, $tag);
    }

	function readData()
	{
		if (!$this->url) return 0;
		
		if ($this->cache_file && $this->cache_timeout > 0)
		{
			$cache_diff =(time() - @filemtime($this->cache_file))/60;
			if (!file_exists($this->cache_file) || ($cache_diff > $this->cache_timeout))
			{
				$fcontents = join ('', @file ($this->url));
				@unlink($this->cache_file);
				$handle = @fopen($this->cache_file, 'x+');
				@fwrite($handle, $fcontents);
				@fclose($handle);
			}
			$fcontents = join ('', @file ($this->cache_file));
		}
		else
		{
			$fcontents = join ('', @file ($this->url));
		}
		$this->data = $fcontents;
	}
	
	function printLinks($max_counter = 7,$limit_line = 66)
	{
		$counter = 0; 
		if (!is_array($this->items)) return;
		foreach($this->items as $itemNo => $oItem)
		{
		if ($counter++==$max_counter) break;
		if (strlen($oItem['title'])>$limit_line) 
		{
			#$title = wordwrap($oItem['title'],$limit_line,'||').'||';
			#$title = substr($title,0,strpos($title,'||')).'...';
			$title = substr($oItem['title'],0,$limit_line).'...';	
		}
		else
		{
			$title = $oItem['title'];
		}	
		?>
		<a href="<?=MAINURL?>jumpurl.php?url=<?=rawurlencode(str_replace('http://','',$oItem['link']))?>" target="_blank"><?=$title?></a><br />
		<?
		} 
	}
}
$Rss = new RssParser();
?>